petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetGlobalToNaturalSF

Gets the SF for mapping Global Vec to the Natural Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGlobalToNaturalSF(DM dm, PetscSF *naturalSF)

| dm | - The DM
| *naturalSF | - The PetscSF

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexCreateGlobalToNaturalSF(), DMPlexSetGlobaltoNaturalSF

### Level

intermediate

### Location

src/dm/impls/plex/plexnatural.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages